#include "DisplaySch.h"
#include "Popup_Scheduler.h"
#include "Popup_List.h"
#include "Key.h"
#include "Menu.h"
#include "CAN_Lib.h"
#include "GUI.h"
#include "Services_ODO_User.h"        /*清空总计里程函数*/
#include "CAN_Communication_Matrix.h" /*按键信息获取*/
#include "Menu.h"




uint16_t HYQ_TEST = 0;
void     Display_Schedule_Service(void)
{
#if 0
    static uint8_t MenuBGStatus = 0u;
    static uint8_t MenuBGStatusOLD = 0u;
    uint16_t popupID = 0xFFFFu;
    uint16_t m16_FrameCnt;

    Menu_Display_Info_st_t *pstMenuBuf = Menu_Get_Display_Information();
    UE_CtrlInfo.HMI_PowerStatus = Common_Get_IG_Sts();
    UE_CtrlInfo.HMI_TIMER.u32PowerON_Timer = Common_GetIgnOnTime();
    UE_CtrlInfo.HMI_TIMER.u32PowerOFF_Timer = Common_GetIgnOffTime();
    if ((UE_CtrlInfo.HMI_TIMER.u32PowerON_Timer <= StartAnimationEnd) && \
            (UE_CtrlInfo.HMI_TIMER.u32PowerON_Timer >= StartAnimationStart))
    {
        UE_CtrlInfo.HMI_StartAnimation.u32FrameCnt++;
        UE_CtrlInfo.HMI_StartAnimation.u32Timer++;

        if (UE_CtrlInfo.HMI_Type != Disp_StartAnimation)
        {
            UE_CtrlInfo.HMI_StartAnimation.u32FrameCnt = 0u;
            UE_CtrlInfo.HMI_StartAnimation.u32Timer = 0u;
            UE_CtrlInfo.HMI_Type = Disp_StartAnimation;
        }
        m16_FrameCnt = UE_CtrlInfo.HMI_StartAnimation.u32FrameCnt;
        if ((m16_FrameCnt % 3) == 0)
        {
            loc_Disable_Window_App();
            GUI_Display_Animation_Frame(m16_FrameCnt / 3u);
        }
    }
    else if (UE_CtrlInfo.HMI_TIMER.u32PowerON_Timer >= StartAnimationStart)
    {
        if (UE_CtrlInfo.HMI_Type == Disp_StartAnimation)
        {
            UE_CtrlInfo.HMI_StartAnimation.u32FrameCnt = 0u;
            UE_CtrlInfo.HMI_StartAnimation.u32Timer = 0u;
            loc_Enable_Window_App();

            MenuBGStatus = Common_Get_Key_STa();
            GUI_Display_background(MenuBGStatus);/*刷新背景*/
            UE_CtrlInfo.HMI_Type = Disp_StartAnimationFinish;
        }

        /*更新底图 进入工程模式 调表模式*/
        MenuBGStatus = Common_Get_Key_STa();

        if (MenuBGStatusOLD != MenuBGStatus)
        {
            MenuBGStatusOLD = MenuBGStatus;
            GUI_Display_background(MenuBGStatus);
        }
        /*更新底图 进入工程模式 调表模式*/

        /*调表模式不进报警有无*/
        if (MenuBGStatus == 0u)
        {
            //popupID = Popup_Get_Current_Message();
        }

        /*在非调表模式，判断是否有报警*/
        if (popupID != 0xFFFFu)
        {
            UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = 0u;
            UE_CtrlInfo.u8ExternalTrigger = AlarmTrigger;
        }
        else
        {
            if (pstMenuBuf->enMenuCursorDisplayItem != MENU_ITEM_ENTRANCE_FIX)
            {
                if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_MENU == KEY_EVENT_SHORT_PRESS)
                {
                    UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
                    HMI_Clear_KEY_MENU();
                }
            }
            if (UE_CtrlInfo.HMI_TIMER.u32MENU_Timer != 0u)
            {
                if ((pstMenuBuf->enMenuCursorDisplayItem == MENU_ITEM_TRIP_CLEAR_SUCCEED) || (pstMenuBuf->enMenuCursorDisplayItem == MENU_ITEM_MAINTENACE_CLEAR_SUCCEED))
                {
                    UE_CtrlInfo.HMI_TIMER.u32MENU_Timer--;
                }
                UE_CtrlInfo.u8ExternalTrigger = MenuTrigger;
            }
            else
            {
                UE_CtrlInfo.u8ExternalTrigger = NoneTrigger;
            }
        }

        if (UE_CtrlInfo.u8ExternalTrigger == AlarmTrigger)
        {
            if (UE_CtrlInfo.HMI_Type != Disp_Alarm)
            {
                UE_CtrlInfo.HMI_Type = Disp_Alarm;
            }
            if (popupID == POPUP_ADD_FUEL_FATAL)
            {

            }
            else
            {
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_UP = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_DOWN = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_LEFT = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_RIGHT = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CANCEL = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_MENU = 0U;
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CtrlRight = 0U;
            }
        }
        else //if (UE_CtrlInfo.u8ExternalTrigger == MenuTrigger)
        {
            if (UE_CtrlInfo.HMI_Type != Disp_Menu)
            {
                UE_CtrlInfo.HMI_Type = Disp_Menu;
            }

            if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_UP == KEY_EVENT_SHORT_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_UP);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_UP = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_UP == KEY_EVENT_LONG_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_UP_LONG);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_UP = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_DOWN == KEY_EVENT_SHORT_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_DOWN);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_DOWN = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_DOWN == KEY_EVENT_LONG_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_DOWN_LONG);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_DOWN = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_LEFT == KEY_EVENT_SHORT_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_LEFT);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_LEFT = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_LEFT == KEY_EVENT_LONG_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_LEFT_LONG);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_LEFT = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_RIGHT == KEY_EVENT_SHORT_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_RIGHT);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_RIGHT = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_RIGHT == KEY_EVENT_LONG_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_RIGHT_LONG);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_RIGHT = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM == KEY_EVENT_SHORT_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_CONFIRM);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM == KEY_EVENT_LONG_PRESS)
            {
                Menu_Display_Info_st_t *MenuValueSta = 0u;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
                Menu_Logic_Service(MENU_KEY_CONFIRM_LONG);

                if (MenuValueSta->enMenuCursorDisplayItem == MENU_ITEM_TRIP_CLEAR_SUCCEED)
                {
                    Data_ODO_Clear_Mileage_Num();
                }
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM = 0U;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM == KEY_EVENT_SUPER_LONG_PRESS)
            {
                TYW_Data_ODO_Clear();
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CONFIRM = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CANCEL == KEY_EVENT_SHORT_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_CANCEL);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CANCEL = 0U;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CANCEL == KEY_EVENT_LONG_PRESS)
            {
                Menu_Logic_Service(MENU_KEY_CANCEL_LONG);
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CANCEL = 0U;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_MENU == KEY_EVENT_SHORT_PRESS)
            {
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_MENU = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_MENU == KEY_EVENT_LONG_PRESS)
            {
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_MENU = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CtrlRight == KEY_EVENT_SHORT_PRESS)
            {
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CtrlRight = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else if (UE_CtrlInfo.HMI_KEYInfo.u8KEY_CtrlRight == KEY_EVENT_LONG_PRESS)
            {
                UE_CtrlInfo.HMI_KEYInfo.u8KEY_CtrlRight = 0U;
                UE_CtrlInfo.HMI_TIMER.u32MENU_Timer = DisplayMenuTime;
            }
            else
            {
            }
        }


        if (Common_GetIgnOnTime() >= 3000u)
        {
            /*显示函数开始*/
            switch (HYQ_TEST)
            {
            //case 0 :/*开机动画*/
            //    loc_Disable_Window_App();
            //    GUI_Display_Animation_Frame();
            //    break;
            case  MENU_ITEM_ENTRANCE_FIX : /*行车电脑1*/
                loc_Del_Sprite(PotSelect_Sprite, Menu_Project_Sprite);

                GUI_Display_ENTRANCE_FIX();
                break;
            case  MENU_ITEM_ENTRANCE_ALTER  :/*行车电脑界面*/
                loc_Del_Sprite(PotSelect_Sprite, Menu_Project_Sprite);
                GUI_Display_ENTRANCE_ALTER();
                break;
            case  MENU_ITEM_DRIVE_FUEL_CONS_COMBINED  :/*行车信息/综合油耗*/
                loc_Del_Sprite(MainCenter_Sprite, MainGas2_Sprite);
                loc_Del_Sprite(TPMSTitle_Sprite, Menu_Project_Sprite);

                GUI_Display_DriveFuelCons_Combined();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_FUEL_CONS_TRIP :/*行车信息/小计油耗*/
                loc_Del_Sprite(MainCenter_Sprite, MainGas2_Sprite);
                loc_Del_Sprite(TPMSTitle_Sprite, Menu_Project_Sprite);

                GUI_Display_FuelCons_Trip();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_FUEL_CONS_THIS_TIME :/*行车信息/本次油耗*/
                loc_Del_Sprite(MainCenter_Sprite, MainGas2_Sprite);
                loc_Del_Sprite(TPMSTitle_Sprite, Menu_Project_Sprite);

                GUI_Display_FuelCons_ThisTime();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_FUEL_CONS_SINCE_REFUELING :/*行车信息/自上次加油后油耗*/
                loc_Del_Sprite(MainCenter_Sprite, MainGas2_Sprite);
                loc_Del_Sprite(TPMSTitle_Sprite, Menu_Project_Sprite);

                GUI_Display_FuelCons_SinceRefueling();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_TPMS  :/*行车信息/TPMS  防盗使能OFF*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_TPMS();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_AIDED_DRIVING  :/*行车信息/辅助驾驶*/
                loc_Del_Sprite(MainCenter_Sprite, MainGas2_Sprite);
                loc_Del_Sprite(TPMSTitle_Sprite, Menu_Project_Sprite);

                GUI_Display_AidedDriving();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_TRIP_CLEAR: /*行车信息/小计清零*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_TripClear();
                GUI_Every_Display();
                break;
            case   MENU_ITEM_TRIP_CLEAR_SUCCEED: /*行车信息/小计清零成功*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_TripClearSuccess();
                GUI_Every_Display();
                break;

            case  MENU_ITEM_INTELLIGENT_DRIVING  :/*行车信息/辅助驾驶/智能驾驶选中*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_AidedDriving_INTELLIGENT_DRIVING();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_INTELLIGENT_ADAS  :/*行车信息/辅助驾驶/智能ADAS选中*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_AidedDriving_INTELLIGENT_ADAS();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ADAS_SENSITIVITY  :/*行车信息/辅助驾驶/ADAS灵敏度选中*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_AidedDriving_ADAS_SENSITIVITY();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_TPMS_MONITORING  :/*行车信息/辅助驾驶/胎压检测选中*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_AidedDriving_TPMS_MONITORING();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_TYPE  :/*行车信息/辅助驾驶/蓄电池类型选中*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_AidedDriving_BATTERY_TYPE();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_DISTANCE_SETTING  :/*行车信息/辅助驾驶/智能驾驶/ACC车距设置选中*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACC_DISTANCE_SETTING();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_ONOFF  :/*行车信息/辅助驾驶/智能驾驶/ACC*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACC_ONOFF();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_AEBS_ONOFF  :/*行车信息/辅助驾驶/智能驾驶/AEBS*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_AEBS_ONOFF();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_RAMP_AUXILIARY  :/*行车信息/辅助驾驶/智能驾驶/坡道辅助*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_RAMP_AUXILIARY();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ESC_ASR  :/*行车信息/辅助驾驶/智能驾驶/ESC/ASR*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ESC_ASR();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_DISTANCE_1  :/*行车信息/辅助驾驶/ACC车距设置/車距模式1*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode1();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_DISTANCE_2  :/*行车信息/辅助驾驶/ACC车距设置/車距模式2*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode2();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_DISTANCE_3  :/*行车信息/辅助驾驶/ACC车距设置/車距模式3*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode3();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_DISTANCE_4  :/*行车信息/辅助驾驶/ACC车距设置/車距模式4*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode4();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ACC_DISTANCE_5  :/*行车信息/辅助驾驶/ACC车距设置/車距模式5*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode5();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ADAS_SENSITIVITY_1  :/*行车信息/辅助驾驶/ADAS灵敏度/灵敏度1*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode1();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ADAS_SENSITIVITY_2  :/*行车信息/辅助驾驶/ADAS灵敏度/灵敏度2*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode2();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_ADAS_SENSITIVITY_3  :/*行车信息/辅助驾驶/ADAS灵敏度/灵敏度3*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_IntelligentDriving_ACCDistanceSetting_mode3();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_135AH  :/*行车信息/辅助驾驶/蓄电池类型/蓄电池135 AH**/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_135Ah();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_165_FREE  :/*行车信息/辅助驾驶/蓄电池类型 165Ah免维护*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_165AhFree();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_180_FREE  :/*行车信息/辅助驾驶/蓄电池类型 180Ah免维护*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_180AhFree();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_180_LOW  :/*行车信息/辅助驾驶/蓄电池类型 180Ah低温*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_180AhLow();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_220_FREE  :/*行车信息/辅助驾驶/蓄电池类型 220Ah免维护*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_220AhFree();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_220_LOW_FREE  :/*行车信息/辅助驾驶/蓄电池类型 220Ah低温免维护*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_220LowFree();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_240AH  :/*行车信息/辅助驾驶/蓄电池类型 240Ah*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_240Ah();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_BATTERY_330AH  :/*行车信息/辅助驾驶/蓄电池类型 330Ah*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_BatteryType_330Ah();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_VEHICLE_STATE  :/*车辆状态/保养设置*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintainSetting();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_MAINTENANCE_TIPS  :/*车辆状态/保养设置/保养提示*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintainSetting_Tips();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_TIP_SETTING  :/*车辆状态/保养设置/提示设置*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintenanceTips_Setting();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_MAINTENACE_CLEAR  :/*车辆状态/保养设置/保养清零*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintenanceClear();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_MAINTENACE_CLEAR_SUCCEED  :/*车辆状态/保养设置/保养清零成功*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintenanceClear_SUCCEED();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_MAINTENANCE_MILEAGE  :/*车辆状态/提示设置/保养里程*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintenanceTips_SettingMaintainMileage();
                GUI_Every_Display();
                break;
            case  MENU_ITEM_PROMPT_MILEAGE  :/*车辆状态/提示设置/提示里程*/
                loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
                loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);

                GUI_Display_MaintenanceTips_SettingPromptMileage();
                GUI_Every_Display();
                break;
            //case  MENU_ITEM_PROMPT_MILEAGE  :/**/
            //    loc_Del_Sprite(MainCenter_Sprite, MenuCenter_Sprite);
            //    loc_Del_Sprite(Menu_Project_Sprite, Menu_Project_Sprite);
            //    GUI_Display_MaintenanceTips_SettingPromptMileage();
            //    GUI_Every_Display();
            //    break;
















//
//            GUI_Display_TripClear()
//
//            GUI_Every_Display();
//            break;
//        case  11 :/*行车信息/小G清零成功*/
//
//            GUI_Display_TripClearSuccess();
//            GUI_Every_Display();
//            break;
//        case  12 :/*车辆状态/保养设置*/
//            GUI_Display_MaintainSetting();
//
//            GUI_Every_Display();
//            break;
//
//        case Disp_Alarm: /*报警界面*/
//            loc_Del_Sprite(PotSelect_Sprite, Menu_Project_Sprite);
//
//            GUI_General_Popup();
//            //HMI_ALARM_INFO(popupID);
//            break;
//        case Disp_Menu:
//            HMI_MENU_INFO();
//            break;
//        case Disp_DriveInfo:
//            HMI_DRIVE_INFO();
//            break;
            default:
                break;
            }
        }
    }
#endif
}
